Skip to main content
GET
Retrieves a single sales order by its ID.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

A single sales order.

id
string<uuid>
required

Unique ID to identify a sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

isCancelled
boolean
required

Indicates if the order has been cancelled.

isPending
boolean
required

The SalesOrder IsPending

itemDescriptionType
enum<integer>
required

The SalesOrder ItemDescriptionType

Available options:
0,
1,
2
readOnlyType
enum<integer>
required

The SalesOrder ReadOnlyType

Available options:
0,
1,
2
salesOrderStatus
integer<int32>
required

The SalesOrder SalesOrderStatus

salesOrderNumber
string
required

The SalesOrder SalesOrderNumber

departureCountry
object
required

DepartureCountry

externalDetails
object
required

ExternalDetails

paymentDetails
object
required

PaymentDetails

shippingDetails
object
required

ShippingDetails

taxDetails
object
required

TaxDetails

customerId
string<uuid>

Customer this SalesOrder belongs to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentInfo
object

SalesOrderPaymentInfo

text
object

SalesOrderText

salesOrderDate
string<date-time>

The SalesOrder Date

processColourId
string<uuid>

The SalesOrder Process colour id

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

onHoldReasonId
string<uuid>

The SalesOrder OnHold reason id

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

cartonItemId
string<uuid>

The SalesOrder Carton item id

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentMethodId
string<uuid>

The SalesOrder Payment method id

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shippingMethodId
string<uuid>

The SalesOrder Shipping method id

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

processStatusId
string<uuid>

The SalesOrder Process status id

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

languageIso
string

The SalesOrder Language iso code

customerSalesOrderNumber
string

The SalesOrder Customer sales order number

vatId
string

The SalesOrder Vat Id

companyId
string<uuid>

The SalesOrder Company Id

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shipmentAddress
object

SalesOrderShipmentAddress

billingAddress
object

SalesOrderBillingAddress

lineItems
object[]

List of SalesOrderLineItem

keyFigures
object

Key figures of the sales order.